Subject: Re: DTS files, 83xx, clock frequencies

From: Timur Tabi <[email-masked]>
Date: Wed, 19 Dec 2007 09:14:17 -0600

Russell McGuire wrote:

> Isn't default behavior that these fields are kept from the <BIOS> U-boot
> during boot, if a zero is present? Is there any advantage to resetting them
> within the dts file during linux boot up?

Depending on which version of U-Boot, a given property may or may not be 
initialized by U-Boot.  The problem is that as new properties are defined, 
U-Boot is not always updated to initialize that property, and sometimes it's 
only updated on some CPU families.

The qe/brg-frequency property is a good example.  Prior to U-Boot 1.3, it was 
not being initialized at all.  With U-Boot 1.3, it's only initialized on 83xx, 
even though some 85xx boards have a QE.  I have a QE UART driver that looks at 
qe/brg-frequency, and if it's non-zero, I use it.  If it is zero, then I take 
the qe/bus-frequency property and divide it in half.

-- 
Timur Tabi
Linux kernel developer at Freescale